/*
 * File:   main.c
 * Author: controllerstech
 *
 * Created on December 9, 2023, 11:56 AM
 */

#define F_CPU 5000000// </editor-fold>

#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include "I2C_Master.h"

void clkInit(void)
{
	_PROTECTED_WRITE(CLKCTRL.MCLKCTRLA, 0);  // Internal 20MHz OSC, CLKOUT=0
	_PROTECTED_WRITE(CLKCTRL.MCLKCTRLB, 0x03);  // PEN=1, DIV=4
	while ((CLKCTRL.MCLKSTATUS & (1<<4)) == 0);  // wait for the osc to stabilize.
}


uint8_t datatosend[] = {0x01, 0x02, 0x04, 0x10, 0x20, 0x40, 0x80};

int main(void) {
    clkInit();
    I2C_Init();
    _delay_ms(100);
    while (1) {
        for (int i=0; i<7; i++)
        {
            I2C_Write(0x27, &datatosend[i], 1);
            _delay_ms(1000);
        }

    }
}
